"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
const ejs_1 = __importDefault(require("ejs"));
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const process_1 = __importDefault(require("process"));
const js_yaml_1 = __importDefault(require("js-yaml"));
(async function main() {
    const gitHubActionsWorkflowFile = path_1.default.join(process_1.default.cwd(), '.github', 'workflows', 'ci.yml');
    const templateFile = path_1.default.join(__dirname, '..', 'templates', '.github', 'workflows', 'ci.yml');
    const configuration = await utils_1.determineConfiguration();
    const data = Object.assign({ configurationDump: js_yaml_1.default.safeDump(configuration) }, configuration);
    const options = {
    // debug: true,
    };
    ejs_1.default.renderFile(templateFile, data, options, function (err, str) {
        if (err) {
            throw err;
        }
        utils_1.debug(`Writing GitHub Actions workflow to ${gitHubActionsWorkflowFile}`);
        fs_1.default.mkdirSync(path_1.default.dirname(gitHubActionsWorkflowFile), { recursive: true });
        fs_1.default.writeFileSync(gitHubActionsWorkflowFile, str);
    });
})();
